Skip to main content
PATCH
/
v1
/
people
/
{person_id}
/
email_addresses
/
{id}
Update an email address
curl --request PATCH \
  --url https://api.slant.app/v1/people/{person_id}/email_addresses/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "email": "updated@example.com",
  "email_type": "business",
  "is_primary": true
}
'
{
  "id": "<string>",
  "person_id": "<string>",
  "email": "<string>",
  "email_type": "<string>",
  "is_primary": true
}

Authorizations

Authorization
string
header
required

OAuth 2.0 Bearer Token from Clerk authentication

Path Parameters

person_id
string
required

The person ID

id
string
required

The email address ID

Body

application/json
email
string<email>
Example:

"updated@example.com"

email_type
enum<string>
Available options:
personal,
business,
school,
other
Example:

"business"

is_primary
boolean
Example:

true

Response

email address updated

id
string
person_id
string
email
string
email_type
string
is_primary
boolean